<div xmlns="http://www.w3.org/1999/xhtml"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 data-namespace-typo3-fluid="true" lang="en">
	<f:layout name="Default"/>
	<f:section name="Main">

		<f:flashMessages />

		<f:if condition="{f:count(subject: jobs)} > 0">
			<div class="job-teaser">

				<f:if condition="{content.headline}">
					<div class="job-teaser-header">
						<h2>{content.headline}</h2>
					</div>
				</f:if>

				<f:for each="{jobs}" as="job">
					<div class="job-teaser-item">
						<f:if condition="{f:count(subject: job.images)} > 0">
							<div class="job-image">
								<f:for each="{job.images}" as="image" iteration="imageIterator">
									<f:if condition="{imageIterator.isFirst}">
										<f:image src="{image.uid}"
												 treatIdAsReference="1"
												 alt="{image.originalResource.alt}"
												 title="{image.originalResource.title}"
												 class="img-fluid"/>
									</f:if>
								</f:for>
							</div>
						</f:if>
						<div class="job-title">{job.title}</div>
						<f:link.action action="show"
									   arguments="{job: job}"
									   class="btn btn-primary"
									   pluginName="JobFinder"
									   controller="JobFinder"
									   pageUid="{settings.detail.pageUid}"
									   title="{f:translate(key: 'tx_jobfinder_label.display_job_button_title')}">
							<f:translate key="tx_jobfinder_label.display_job_button_label" />
						</f:link.action>
					</div>
				</f:for>

				<div class="job-teaser-actions">
					<f:link.page class="btn btn-primary"
								 title="{f:translate(key: 'tx_jobfinder_label.display_all_jobs_button_title')}"
								 pageUid="{settings.list.pageUid}">
						<f:translate key="tx_jobfinder_label.display_all_jobs_button_title" />
					</f:link.page>
				</div>

			</div>
		</f:if>

	</f:section>
</div>
